Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
problemi con ebuilds perl[SOLVED]
View unanswered posts
View posts from last 24 hours
View posts from last 7 days

 
Reply to topic    Gentoo Forums Forum Index Forum italiano (Italian)
View previous topic :: View next topic  
Author Message
pigreco
Apprentice
Apprentice


Joined: 16 Nov 2005
Posts: 223
Location: Italia

PostPosted: Thu Jul 16, 2015 9:34 am    Post subject: problemi con ebuilds perl[SOLVED] Reply with quote

Salve,
purtroppo faccio sempre casino con le versioni del Perl... 8O
Avevo problemi ad aggiornare il sistema causa conflitti fra perl perl-5.18 e perl-5.20, dopo tanto cercare e provare ho tentato con quello che ovunque viene suggerito in rete:

Code:
emerge -av --nodeps -1 =dev-lang/perl-5.20* $(eix '-I#' 'virtual/perl-*') dev-perl/extutils-pkgconfig
perl-cleaner --reallyall --  -av


dopo questi comandi sono riuscito a fare parte degli aggiornamenti ma adesso ho nuovi problemi con i pacchetti perl a causa degli ebuilds rimossi e vecchie dipendenze;
ad esempio non ho più il FuzzyOcr e se tento la reinstallazione:

Code:
emerge mail-filter/spamassassin-fuzzyocr

Calculating dependencies... done!

emerge: there are no ebuilds to satisfy "mail-filter/spamassassin-fuzzyocr".



ho problemi con tutte le vecchie installazioni legate a perl5.18
Code:

....
emerge: there are no ebuilds to satisfy "=dev-lang/perl-5.18*".


come posso risolvere la questione? grazie


Last edited by pigreco on Mon Sep 14, 2015 7:06 am; edited 1 time in total
Back to top
View user's profile Send private message
kikko
Apprentice
Apprentice


Joined: 29 Apr 2014
Posts: 256
Location: Milan, IT

PostPosted: Sun Sep 13, 2015 3:27 pm    Post subject: Reply with quote

Ciao,
so che siamo al limite del necroposting, ma dato che non ti ha risposto nessuno...

Spamassassin-fuzzyocr è stato rimosso da Portage: https://archives.gentoo.org/gentoo-dev-announce/message/3d26bf1f8a473d8029981a7ca6f534e8
pare che l'ultima versione risalga al 2009, o giù di lì... l'unica cosa che sembra essere un sostituto è l'OcrPlugin, basato su gocr: https://wiki.apache.org/spamassassin/OcrPlugin

Riguardo all'aggiornamento del perl, cosa ti da problemi con quella specifica versione?
Back to top
View user's profile Send private message
pigreco
Apprentice
Apprentice


Joined: 16 Nov 2005
Posts: 223
Location: Italia

PostPosted: Mon Sep 14, 2015 7:06 am    Post subject: Reply with quote

Salve,
grazie per il tuo aiuto, la soluzione al mio problema è consultabile qui https://forums.gentoo.org/viewtopic-t-1022078-postdays-0-postorder-asc-start-0.html
chiedo scusa ma mi ero scordato di riportala qui.

grazie di nuovo,
Maurizio
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Forum italiano (Italian) All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum